Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenPreference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenPreferenceImpl

    public interface GenPreference

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Preference'.

The following features are supported:

- `Page`
- `Name`
- `Key`
- `Default Value`

See Also:
  `GMFGenPackage.getGenPreference()`
** Generated **
Model:

Method Summary
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute
`java.lang.String` `getKey()` Returns the value of the 'Key' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`GenCustomPreferencePage` `getPage()` Returns the value of the 'Page' container reference.
`void` `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute
`void` `setKey(java.lang.String value)` Sets the value of the '`Key`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPage

    GenCustomPreferencePage getPage()

  Returns the value of the 'Page' container reference. It is bidirectional and its opposite is '`Preferences`'.

  If the meaning of the 'Page' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Page' container reference.
  See Also:
    `GMFGenPackage.getGenPreference_Page()`, `GenCustomPreferencePage.getPreferences()`
  ** Generated **
  Model:
    opposite="preferences" resolveProxies="false" required="true" transient="false" changeable="false"

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. Java constant name

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFGenPackage.getGenPreference_Name()`
  ** Generated **
  Model:
    required="true"

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getKey

    java.lang.String getKey()

  Returns the value of the 'Key' attribute. Preference key, derived from constant name if not set

  Returns:
    the value of the 'Key' attribute.
  See Also:
    `setKey(String)`, `GMFGenPackage.getGenPreference_Key()`
  ** Generated **
  Model:

### setKey

    void setKey(java.lang.String value)

  Sets the value of the '`Key`' attribute.

  Parameters:
    `value` - the new value of the 'Key' attribute.
  See Also:
    `getKey()`
  ** Generated **

### getDefaultValue

    java.lang.String getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `setDefaultValue(String)`, `GMFGenPackage.getGenPreference_DefaultValue()`
  ** Generated **
  Model:

### setDefaultValue

    void setDefaultValue(java.lang.String value)

  Sets the value of the '`Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value' attribute.
  See Also:
    `getDefaultValue()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.